Skip to main content
GET
/
v3
/
video-agents
/
sessions
/
{session_id}
/
resources
Get Video Agent session resources
curl --request GET \
  --url https://api.heygen.com/v3/video-agents/sessions/{session_id}/resources \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "resources": [
      {
        "resource_id": "<string>",
        "resource_type": "<string>",
        "source_type": "<string>",
        "url": "<string>",
        "thumbnail_url": "<string>",
        "preview_url": "<string>",
        "created_at": 123,
        "metadata": {}
      }
    ],
    "next_cursor": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

session_id
string
required

Session ID

Query Parameters

resource_ids
string

Comma-separated resource IDs to fetch specific resources

type
string

Filter by resource type: image, video, draft, avatar, voice, etc.

source
string

Filter by source: generated or user_uploaded

limit
integer
default:8

Resources per page (max 100)

Required range: 1 <= x <= 100
token
string

Opaque pagination token

Response

Successful response

data
GetResourcesResponse · object

Response from getting session resources.